Bug 205712 - security/py-SecretStorage: Update to 2.2.1
Summary: security/py-SecretStorage: Update to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-30 04:12 UTC by Douglas Thrift
Modified: 2016-08-03 11:35 UTC (History)
2 users (show)

See Also:


Attachments
security/py27-SecretStorage-2.1.3.diff (787 bytes, patch)
2015-12-30 04:12 UTC, Douglas Thrift
koobs: maintainer-approval+
Details | Diff
logs/py27-SecretStorage-2.1.3.log (19.78 KB, text/plain)
2016-01-04 02:54 UTC, Douglas Thrift
no flags Details
security/py27-SecretStorage-2.1.4.diff (787 bytes, patch)
2016-01-12 04:30 UTC, Douglas Thrift
douglas: maintainer-approval+
Details | Diff
logs/py27-SecretStorage-2.1.4.log (19.79 KB, text/plain)
2016-01-12 04:31 UTC, Douglas Thrift
douglas: maintainer-approval+
Details
patch-py-SecretStorage-2.2.1 (967 bytes, patch)
2016-08-03 11:25 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-py-SecretStorage-2.2.1 (1.15 KB, patch)
2016-08-03 11:29 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2015-12-30 04:12:41 UTC
Created attachment 164840 [details]
security/py27-SecretStorage-2.1.3.diff

Update security/py-SecretStorage to 2.1.3.

From changelog:

SecretStorage 2.1.3, 2015-12-20
===============================

* Python 2.6 is no longer supported.
* Compatibility functions are now deprecated and will be removed in
  the next major release.
* Other minor fixes, simplifications and improvements.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-30 08:06:52 UTC
@Douglas, please use maintainer-approval (+) to indicate an issue is a maintainer update, and approved (since you created it)

Please also confirm whether this change passes QA (portlint, poudriere)

Thank you for your ongoing contributions :)

@Miwi, this PORTNAME also needs to be lowercase()'d
Comment 2 Douglas Thrift 2016-01-04 02:54:11 UTC
Created attachment 165022 [details]
logs/py27-SecretStorage-2.1.3.log

I have run "portlint -C" and it says "looks fine." and I have now attached the log from poudriere testport.
Comment 3 Douglas Thrift 2016-01-12 04:30:02 UTC
Created attachment 165415 [details]
security/py27-SecretStorage-2.1.4.diff

Looks like version 2.1.4 came out.

"portlint -C" reports "looks fine."
I will attach the "poudriere testport" log.

From changes:

SecretStorage 2.1.4, 2016-01-10
===============================

* Catch AccessDenied errors in dbus_init() function.
* Documentation improvements.
Comment 4 Douglas Thrift 2016-01-12 04:31:12 UTC
Created attachment 165416 [details]
logs/py27-SecretStorage-2.1.4.log

Here is the poudriere testport log.
Comment 5 Rene Ladan freebsd_committer 2016-07-25 19:11:44 UTC
miwi@ resigned.
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-08-01 12:41:09 UTC
@Douglas, please add to the py-SecretStorage/Makefile:

LICENSE_FILE= ${WRKSRC}/LICENSE

Also it seems that v2.2.1 came out. So update to 2.2.1
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-08-03 11:25:57 UTC
Created attachment 173218 [details]
patch-py-SecretStorage-2.2.1

Update py-SecretStorage to 2.2.1
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-08-03 11:29:52 UTC
Created attachment 173219 [details]
patch-py-SecretStorage-2.2.1

- Add LICENSE_FILE
Comment 9 commit-hook freebsd_committer 2016-08-03 11:34:35 UTC
A commit references this bug:

Author: cpm
Date: Wed Aug  3 11:34:20 UTC 2016
New revision: 419510
URL: https://svnweb.freebsd.org/changeset/ports/419510

Log:
  - Update to 2.2.1
  - Add LICENSE_FILE

  PR:	205712
  Submitted by:	Douglas Thrift (maintainer)
  Reviewed by:	junovitch (mentor)
  Approved by:	junovitch (mentor)

Changes:
  head/security/py-SecretStorage/Makefile
  head/security/py-SecretStorage/distinfo
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-08-03 11:35:46 UTC
Committed!

Thanks